summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/extra/gccg6
1 files changed, 5 insertions, 1 deletions
diff --git a/bin/extra/gccg b/bin/extra/gccg
index 89cc822..694a7fc 100755
--- a/bin/extra/gccg
+++ b/bin/extra/gccg
@@ -1,2 +1,6 @@
#!/bin/sh
-gcc -ggdb -Wall -pedantic -std=c99 -o ${1%.c} $@
+prog="$1"
+[ "$prog" ] || exit 1
+shift
+set -x
+gcc -ggdb -Wall -pedantic -std=c99 -o "${prog%.c}" "${prog%.c}.c" $@